> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (International) Get status of document order

> Get the status of a previously ordered business report for an entity. To fetch the status and details you just provide the requestID and the entityID.
To retrieve all previous orders for an entity, just provide the entityID.




## OpenAPI

````yaml GET /business/{entityId}/report
openapi: 3.0.0
info:
  description: >
    ------  

    This API allows developers to integrate the Frankie Financial Compliance
    Utility into their applications. The API allows:
      - Checking name, address, date of birth against national databases
      - Validating Australian driver's licences, passports, medicare, visas and other Australian national ID documents
      - Validating Australian electricity bills
      - Validating NZ driver's licences
      - Validating Chinese bank cards and national ID card
      - Validating International passports and national ID documents
      - PEP, Sanctions, Watchlist and adverse media checking
      - Australian visa checks 
      - Fraud list and fraud background checks
      - ID validation and selfie check comparisons.
      
    ------  
     
    KYB specific services

      - Query organisation ownership
      - Perform KYC & AML checks on shareholders, beneficial owners and office bearers.
      - Query credit score and credit reports
      - International company searches
      - International company profiles
      
    ------  

    The full version of this documentation along with supplemental articles can
    be found here:
      - https://docs.frankieone.com/

    ------

    Sandbox base URL is:
      - https://api.uat.frankie.one/compliance/v1.2
      
      - All calls are the same as production, only with test data. You can download the latest test data here: https://docs.frankieone.com/docs/test-data

      - Full Swagger definition, along with test data for playing in the sandbox can be obtained once initial commercial discussions have commenced.

      - Production and optional UAT access will be opened up only to those with a signed commercial contract.
      
    ------  

    Contact us at hello@frankiefinancial.com to speak with a sales rep about
    issuing a Customer ID and Sandbox api key.
  title: Frankie Financial API
  contact:
    email: help@frankieone.com
  version: 1.15.3
servers:
  - url: https://api.uat.frankie.one/compliance/v1.2
security:
  - api_key: []
tags:
  - description: >-
      Service status functions you can use to make sure things are up and
      running.
    name: Status
  - description: Operations on specific ID documents, specific to an entity (people).
    name: Document
  - description: Operations on specific entities (people / companies / etc)
    name: Entity
  - description: Operations on entities that are set to type ORGANISATION
    name: Business
  - description: >-
      These are callback/webhook functions. If you've requested a callback, this
      will be what is sent to you. You do not need to implement these as a
      client, but you do need to be able to accept them as a server.
    name: Push Notification
  - description: Functions used for retrieving past results
    name: Retrieve
  - description: Operations on entities to set specific flags and states.
    name: Flag
paths:
  /business/{entityId}/report:
    get:
      tags:
        - Business
      summary: (International) Get status of document order
      description: >
        Get the status of a previously ordered business report for an entity. To
        fetch the status and details you just provide the requestID and the
        entityID.

        To retrieve all previous orders for an entity, just provide the
        entityID.
      operationId: OrderBusinessDocumentStatus
      parameters:
        - description: >
            Customer ID issued by Frankie Financial. This will never change.
            Your API key, which is mapped to this identity, will change over
            time.
          name: X-Frankie-CustomerID
          in: header
          required: true
          schema:
            type: string
            format: uuid
        - description: >
            If, as a Frankie Customer, you are acting on behalf of your own
            customers, then you can populate this field with a Frankie-assigned
            ID.


            Note: If using a CustomerChildID, you will also need a separate
            api_key for each child.


            Any documents, checks, entities that are created when this field has
            been populated will now be tied to this CustomerID + CustomerChildID
            combination. Just as Customers cannot see data created by other
            Customers, so too a Customer's Children will not be able to see each
            other's data.


            A Customer can see the documents/entities and checks of all their
            Children.
          name: X-Frankie-CustomerChildID
          in: header
          schema:
            type: string
            format: uuid
        - description: >-
            The entityId of a business entity returned by a successful call to
            /business/international/profile
          name: entityId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - description: >-
            The requestId that was received when ordering a report. Do not pass
            this to retrieve all document order statuses for the entity
          name: requestId
          in: query
          schema:
            type: string
            format: ulid
      responses:
        '200':
          description: Status for this business report order is available.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessReportOrderStatusResponse'
        '400':
          description: >-
            Bad request. One or more request fields is either missing or
            incorrect. Details are in the error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '401':
          description: >
            The request has failed an authorisation check. This can happen for a
            variety of reasons, such as an invalid or expired API key, or
            invalid Customer/CustomerChildIDs. 

            * NOTE: This does not include attempts to read/write data you don't
            have access to - that's a 404 error (as we don't want to leak
            information through guessing)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '404':
          description: >-
            Cannot return response. In the case of a query, or reference to a
            specific entity/check/etc, it means that the requested item was not
            found, or you don't have access to it. Please check your query
            before trying again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '405':
          description: >-
            A request to POST an update to an object was not allowed due to it's
            state. This may indicate an already completed check, or a document
            that has been processed. You need to create a new document/check if
            you wish to update the object in question.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '422':
          description: >
            Unprocessable request. This can be triggered in a number of ways.

            * An attempt to force a check or scan to run, but there is
            insufficient data to be able to do so.

            * An attempt to run a document/entity specific scan or process on an
            unsupported document type (e.g. electricity comparison on a
            passport)

            Details of what is required will be in the issues list of the error
            response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '429':
          description: >-
            The API client is making too many concurrent requests, and some are
            being throttled. Throttled requests can be retried after a short
            delay.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '500':
          description: Unexpected error. Something went wrong during the checking process.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
        '503':
          description: >-
            All of the ID sources configured by the customer are unavailable, or
            there is no available document processor.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorObject'
components:
  schemas:
    BusinessReportOrderStatusResponse:
      allOf:
        - $ref: '#/components/schemas/BusinessReportOrderStatus'
        - type: object
          properties:
            documentOrders:
              $ref: '#/components/schemas/BusinessReportOrderStatus'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: BusinessReportOrderStatusResponse
    ErrorObject:
      type: object
      required:
        - requestId
        - errorCode
        - errorMsg
      properties:
        commit:
          description: Server version indication
          type: string
          example: 2af478ed
        errorCode:
          description: Frankie error code
          type: string
          example: CORE-5990
        errorMsg:
          description: Will describe the error
          type: string
          example: Everything went kaflooey. Stay clam.
        httpStatusCode:
          description: |
            Deprecated:
            HTTP status code. Same as that which is passed back in the header.
          type: integer
          example: 501
        issues:
          type: array
          items:
            $ref: '#/components/schemas/ErrorObjectIssues'
          x-omitempty: true
        requestId:
          $ref: '#/components/schemas/RequestIDObject'
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ErrorObject
    BusinessReportOrderStatus:
      description: |
        Details of the report order status
      type: object
      properties:
        lastFetchRun:
          description: time of last fetch run
          type: string
          example: 0001-01-01 00:00:00 +0000 UTC
        nextFetchRun:
          description: time of next fetch run
          type: string
          example: 0001-01-01 00:00:00 +0000 UTC
        reportCode:
          description: product code with which to order the report
          type: string
          example: >-
            ASICON_QVNJQ19Db21wYW55UHJvZmlsZUhpc3RvcmljYWxfRGF0YXN0cmVhbQ==_QVNJQ19DUEhfRFM=_NjAwMDk0OTYwX1ZPREFGT05FIFBUWSBMVEQ=
        reportStatus:
          description: >-
            curent status of the report order. eg: Request received, Waiting on
            Provider
          type: string
          example: Waiting on Provider
        reportTitle:
          description: title of the final report (optional)
          type: string
          example: provider-reportCode
        reportUrl:
          description: url of the final report (optional)
          type: string
          example: >-
            https://api.frankie.one:433/compliance/v1.2/document/7d365381-bc12-89da-3681-dafc72112dgt/full?scanDocId=7d365381-bc12-89da-3681-dafc7211sfgh
        requestId:
          description: request Id
          type: string
          example: 01G12MZZXKCXN8G6EWK1D4RGA8
        requestedDate:
          description: date when order was requested
          type: string
          example: 0001-01-01 00:00:00 +0000 UTC
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: BusinessReportOrderStatus
    ErrorObjectIssues:
      type: object
      required:
        - issueLocation
      properties:
        issue:
          description: Description of the problem
          type: string
          example: Invalid format. Must be YYYY-MM-DD
        issueLocation:
          description: Will describe the field or data location of the issue
          type: string
          example: dateOfBirth
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: ErrorObjectIssues
    RequestIDObject:
      description: >
        Unique identifier for every request. Can be used for tracking down
        answers with technical support. 


        Uses the ULID format (a time-based, sortable UUID)


        Note: this will be different for every request.
      type: string
      format: ulid
      x-go-type:
        import:
          alias: models_common
          package: bitbucket.org/ff_common/models/common
        type: RequestIDObject
      example: 01BFJA617JMJXEW6G7TDDXNSHX
  securitySchemes:
    api_key:
      description: API key issued by Frankie Financial. This will rotate regularly.
      type: apiKey
      name: api_key
      in: header

````